// JavaScript Document
function foco()
{
 document.form1.accion.focus();
}

function validar(form1)
{
 var cat=document.getElementById("categoria");
 var subcat=document.getElementById("subcategoria");
 var propiedad=document.getElementById("propiedad");
 var departamento=document.getElementById("departamento");
	if(document.form1.accion.value=='')	
	  {
	   alert("El campo Asunto es requerido");	 
	   form1.accion.focus();
	   document.getElementById("accion").style.border = "2px solid red";
	   return false;
	   }else{
			 document.getElementById("accion").style.border = "";
			}
    if(propiedad.value == null || propiedad.value == ""){
	  alert("Porfavor, seleccione una propiedad");
	  form1.propiedad.focus();
	  document.getElementById("propiedad").style.border = "2px solid red";
	  return false;
	}else {
	       document.getElementById("propiedad").style.border = "";
	      }
		  
    if(departamento.value == null || departamento.value == ""){
	  alert("Porfavor, seleccione un departamento");
	  form1.departamento.focus();
	  document.getElementById("departamento").style.border = "2px solid red";
	  return false;
	}else {
	       document.getElementById("departamento").style.border = "";
	      }
			
			
	if(cat.value == null || cat.value == ""){
	  alert("Porfavor, seleccione una categoria");
	  form1.categoria.focus();
	  document.getElementById("categoria").style.border = "2px solid red";
	  return false;
	}else {
	       document.getElementById("categoria").style.border = "";
	      }
	if(subcat.value == null || subcat.value == ""){
		alert("Porfavor, seleccione una Subcategoria");
		form1.subcategoria.focus();
		document.getElementById("subcategoria").style.border = "2px solid red";
		return false;
	}else{
	      document.getElementById("subcategoria").style.border = "";
	     }
	 if(document.form1.observaciones.value=='')	
	  {
	   alert("El campo Observaciones es requerido");	 
	   form1.observaciones.focus();
	   document.getElementById("obs").style.border = "2px solid red";
	   return false;
	  }else{
	      document.getElementById("obs").style.border = "";
	     }
}
